"""
Tests for Vela
"""
import argparse
from unittest.mock import patch, MagicMock

import vela.quasar as quasar

args = argparse.Namespace()


class TestQuasar:
    @patch("os.chdir")
    @patch("pathlib.Path")
    @patch("os.getcwd")
    def test_main_stdcal(self, mock_cwd, mock_path, mock_chdir):
        args.files = ["test/test.json", "test/PPR.xml"]
        args.standard_cal = True

        with patch("argparse.ArgumentParser.parse_args", MagicMock(return_value=args)) as mock_args:
            with patch("vela.emulators.CasaEmulator.run") as run:
                quasar.main()
                assert run.call_count == 1

        # reset for testing
        args.files = None
        args.standard_cal = None
